#ifndef __LED_H
#define	__LED_H

#include "stm32f4xx.h"

//Ŷ
/*******************************************************/
//R ɫ
#define LED1_PIN                  GPIO_PIN_9                
#define LED1_GPIO_PORT            GPIOF                     
#define LED1_GPIO_CLK_ENABLE()    __GPIOF_CLK_ENABLE()

//G ɫ
#define LED2_PIN                  GPIO_PIN_10                 
#define LED2_GPIO_PORT            GPIOF                      
#define LED2_GPIO_CLK_ENABLE()    __GPIOF_CLK_ENABLE()


/************************************************************/


/** LEDĺ꣬
	* LED͵ƽON=0OFF=1
	* LEDߵƽѺóON=1 OFF=0 
	*/
#define ON  GPIO_PIN_RESET
#define OFF GPIO_PIN_SET

/* κ꣬һʹ */
#define LED1(a)	HAL_GPIO_WritePin(LED1_GPIO_PORT,LED1_PIN,a)
#define LED2(a)	HAL_GPIO_WritePin(LED2_GPIO_PORT,LED2_PIN,a)

/* ֱӲĴķIO */
#define	digitalHi(p,i)			{p->BSRR=i;}			  //Ϊߵƽ		
#define digitalLo(p,i)			{p->BSRR=(uint32_t)i << 16;}				//͵ƽ
#define digitalToggle(p,i)		{p->ODR ^=i;}			//ת״̬

/* IOĺ */
#define LED1_TOGGLE		digitalToggle(LED1_GPIO_PORT,LED1_PIN)
#define LED1_OFF		digitalHi(LED1_GPIO_PORT,LED1_PIN)
#define LED1_ON			digitalLo(LED1_GPIO_PORT,LED1_PIN)

#define LED2_TOGGLE		digitalToggle(LED2_GPIO_PORT,LED2_PIN)
#define LED2_OFF		digitalHi(LED2_GPIO_PORT,LED2_PIN)
#define LED2_ON			digitalLo(LED2_GPIO_PORT,LED2_PIN)


/* ɫ߼÷ʹPWMɻȫɫ,Ч */

//
#define LED_RED  \
					LED1_ON;\
					LED2_OFF\
//
#define LED_GREEN		\
					LED1_OFF;\
					LED2_ON\
//
#define LED_BLUE	\
					LED1_OFF;\
					LED2_OFF\
//(+)					
#define LED_YELLOW	\
					LED1_ON;\
					LED2_ON\
//(+)
#define LED_PURPLE	\
					LED1_ON;\
					LED2_OFF\
//(+)
#define LED_CYAN \
					LED1_OFF;\
					LED2_ON\
//(++)
#define LED_WHITE	\
					LED1_ON;\
					LED2_ON\
//(ȫر)
#define LED_RGBOFF	\
					LED1_OFF;\
					LED2_OFF\
					




void LED_GPIO_Config(void);

#endif /* __LED_H */
